package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * Description
 * 团练宝查询学生
 * @author: feng-ji
 * @date: 2021-12-21
 */
public class CloudTeacherStudent {

    @ApiModelProperty(value = "学生Id")
    private Integer studentId;

    @ApiModelProperty(value = "机构编号")
    private Integer tenantId;

    @ApiModelProperty(value = "团练宝订单Id")
    private Integer cloudTeacherOrderId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "声部Id")
    private Integer subject;

    @ApiModelProperty(value = "声部")
    private String subjectName;

    @ApiModelProperty(value = "所属分部")
    private String organName;

    @ApiModelProperty(value = "团练宝类型")
    private PeriodEnum type;

    @ApiModelProperty(value = "团练宝类型名称")
    private String typeName;

    @ApiModelProperty(value = "流水号")
    private String transNo;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "订单时间")
    private String orderTime;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "数量")
    private Integer time;

    // ------------------------------------------------------------------------------------------

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }


    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getCloudTeacherOrderId() {
        return cloudTeacherOrderId;
    }

    public void setCloudTeacherOrderId(Integer cloudTeacherOrderId) {
        this.cloudTeacherOrderId = cloudTeacherOrderId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public PeriodEnum getType() {
        return type;
    }

    public void setType(PeriodEnum type) {
        this.type = type;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public Integer getSubject() {
        return subject;
    }

    public void setSubject(Integer subject) {
        this.subject = subject;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
}
